Skip to main content
`Ctrl`+`K`

# VecGetOptionsPrefix

Sets the prefix used for searching for all Vec options in the database.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetOptionsPrefix(Vec v, const char *prefix[])

Not Collective

## Input Parameter

- v - the `Vec` context

## Output Parameter

- prefix - pointer to the prefix string used

## See Also

Vectors and Parallel Data, `Vec`, `VecAppendOptionsPrefix()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages